2019-12-09 18:39 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002553FSSCPgraphicspublic2012-01-23 14:59
ReporterYarn 
Assigned ToValathil 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.14 RC2 
Target VersionFixed in Version3.6.14 
Summary0002553: Background tunnel glows in subspace missions drawn in front of ships
DescriptionIn subspace missions, the glows from the background are rendered in front of everything that isn't very close (up to about 50 meters) to the player. When the MediaVPs are used (without FSPort), those glows are rendered in front of anything that is more distant than about 2,500 meters.
Additional InformationI have enclosed a zip file with a test mission, a screenshot of this bug, and my fs2_open.log file.

This problem seems to happen regardless of what flags are used. It also occurs in 3.6.14 RC1, but not in 3.6.12.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013029

Yarn (developer)

After some testing, I found that this bug was introduced in the August 21, 2011 Nightly build.

~0013082

Valathil (developer)

Fix committed to trunk@8265.

~0013121

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8336.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2011-12-31 01:28 Yarn New Issue
2011-12-31 01:28 Yarn File Added: SubspaceBug.zip
2012-01-10 15:42 Yarn Note Added: 0013029
2012-01-19 07:20 The_E Assigned To => Valathil
2012-01-19 07:20 The_E Status new => assigned
2012-01-19 14:12 Valathil Changeset attached => fs2open trunk r8265
2012-01-19 14:12 Valathil Note Added: 0013082
2012-01-19 14:12 Valathil Status assigned => resolved
2012-01-19 14:12 Valathil Resolution open => fixed
2012-01-22 23:57 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8336
2012-01-22 23:57 chief1983 Note Added: 0013121
2012-01-22 23:57 chief1983 Assigned To Valathil => chief1983
2012-01-23 14:59 chief1983 Assigned To chief1983 => Valathil
2012-01-23 14:59 chief1983 Fixed in Version => 3.6.14
+Issue History